LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
FontWeight.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::awt
| Java AWT-like user interface toolkit interface specifications for UNO.

## Constant Groups
constants | com::sun::star::awt::FontWeight
| These values are used to specify whether a font is thin or bold.

## Variables
const float | DONTKNOW = 0.000000
| The font weight is not specified/known. More...
const float | THIN = 50.000000
| specifies a 50% font weight. More...
const float | ULTRALIGHT = 60.000000
| specifies a 60% font weight. More...
const float | LIGHT = 75.000000
| specifies a 75% font weight. More...
const float | SEMILIGHT = 90.000000
| specifies a 90% font weight. More...
const float | NORMAL = 100.000000
| specifies a normal font weight. More...
const float | SEMIBOLD = 110.000000
| specifies a 110% font weight. More...
const float | BOLD = 150.000000
| specifies a 150% font weight. More...
const float | ULTRABOLD = 175.000000
| specifies a 175% font weight. More...
const float | BLACK = 200.000000
| specifies a 200% font weight. More...